﻿<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="layout/layout.html :: head"></head>
<body>
	<header th:replace="layout/layout.html :: header"></header>

	<div class="container py-4">

		<div class="card bg-dark text-white">
			<div class="card-header" th:text="#{text.cliente.form.titulo}"></div>
			<div class="card-body">
				<form th:action="@{/form}" th:object="${cliente}" method="post"
					enctype="multipart/form-data">
					<div class="form-group row">
						<!--<input readonly type="hidden" class="form-control" id="inputID"
					th:field="*{id}" /> Sin sessionatribute-->
						<label for="inputNombre" class="col-sm-2 col-form-label" th:text="#{text.cliente.nombre}">Nombre</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" id="inputNombre"
								placeholder="Escribe un Nombre" th:field="*{nombre}"
								th:errorclass="'is-invalid'" /> <small
								th:if="${#fields.hasErrors('nombre')}" th:errors="*{nombre}"
								class="text-danger">Escribe un nombre</small>
						</div>
					</div>
					<div class="form-group row">
						<label for="inputApellido" class="col-sm-2 col-form-label" th:text="#{text.cliente.apellido}">Apellido</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" id="inputApellido"
								placeholder="Escribe un Apellido" th:field="*{apellido}"
								th:errorclass="'is-invalid'" /> <small
								th:if="${#fields.hasErrors('apellido')}" th:errors="*{apellido}"
								class="text-danger">Escribe un apellido</small>
						</div>
					</div>
					<div class="form-group row">
						<label for="inputEmail" class="col-sm-2 col-form-label" th:text="#{text.cliente.email}">E-mail</label>
						<div class="col-sm-10">
							<input type="email" class="form-control" id="inputEmail"
								aria-describedby="emailHelp" placeholder="Escribe tu email"
								th:field="*{email}" th:errorclass="'is-invalid'" /> <small
								th:if="${#fields.hasErrors('email')}" th:errors="*{email}"
								class="text-danger">Escribe un e-mail</small> <small
								id="emailHelp" class="form-text text-muted">No
								mostraremos tu información a nadie.</small>
						</div>
					</div>
					<div class="form-group row">
						<label for="inputDate" class="col-sm-2 col-form-label" th:text="#{text.cliente.createAt}">Fecha</label>
						<div class="col-sm-10">
							<input type="text" class="form-control" id="inputDate"
								th:field="*{createAt}" th:errorclass="'is-invalid'" /> <small
								th:if="${#fields.hasErrors('createAt')}" th:errors="*{createAt}"
								class="text-danger">Escribe una fecha válida. Por
								ejemplo: 2019/12/25</small>
						</div>
					</div>

					<div class="form-group row">
						<div class="input-group">
							<div class="custom-file">
								<input type="file" name="file" class="custom-file-input"
									id="inputGroupFile04" aria-describedby="inputGroupFileAddon04">
								<label class="custom-file-label text-truncate" for="inputGroupFile04">Elije un archivo</label>
							</div>
						</div>
					</div>

						<div th:object="${cliente}" th:remove="tag"
							th:if="${#fields.hasErrors('*')}">
							<div class="card m-2">
								<div class="card-header">Errores:</div>
								<ul class="list-group list-group-flush">
									<li class="list-group-item text-danger"
										th:each="err: ${#fields.errors('*')}" th:text="${err}"></li>
								</ul>
							</div>
						</div>

						<button type="submit" class="btn btn-primary">Enviar</button>
				</form>
			</div>
		</div>

	</div>
	<footer th:replace="layout/layout.html :: footer"></footer>
	
	<script type="text/javascript">
	$('.custom-file-input').on('change',function(){
		  var fileName = $(this).val();
		  $(this).next('.form-control-file').addClass("selected").html(fileName);
		})
	</script>
</body>
</html>
